Perl::Critic::Exception(3)

NAME
Perl::Critic::Exception - A problem identified by Perl::Critic.

DESCRIPTION
A base class for all problems discovered by Perl::Critic. This exists to enable differentiating exceptions from Perl::Critic code from those originating in other modules.

This is an abstract class. It should never be instantiated.

INTERFACE SUPPORT
This is considered to be a public class. Any changes to its interface will go through a deprecation cycle.

METHODS

"short_class_name()"
    Retrieve the name of the class of this object with 'Perl::Critic::' stripped off.

AUTHOR
Elliot Shank <perl@galumph.com>

COPYRIGHT
Copyright (c) 2007-2011 Elliot Shank.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.